import sys
sys.path.append('../models/')
from model_utils import get_block


def RectifyParameters(parameters,base_parameters):
    keys = ['norm_func','classification_layers','activation_func']
    for key in parameters:
        
        if parameters[key] == float('inf'):
            parameters[key] = base_parameters[key]
        if key in keys:
#             print key
            parameters[key] = get_block(parameters[key])
    return parameters
        
 